# **Data** [![](https://gitee.com/tyoui/logo/raw/master/logo/photolog.png)][1]

## 这是一个数据集合
[![](https://img.shields.io/badge/个人网站-jtyoui-yellow.com.svg)][1]
[![](https://img.shields.io/badge/Python-3.6-green.svg)]()
[![](https://img.shields.io/badge/BlogWeb-Tyoui-bule.svg)][1]
[![](https://img.shields.io/badge/Email-jtyoui@qq.com-red.svg)]()
[![](https://img.shields.io/badge/项目-数据-black.svg)]()


#### 安装
    pip install jtyoui

### 使用
```python
from jtyoui.data import *
if __name__ == '__main__':
    download_gitee('logo', 'logo.png', 'D:\\')  # 将照片logo.png下载到D盘
    pillow = fetch_gitee('logo', 'logo.png')  # 返回PIL.image类型数据
```

### 省份名字
```python
from jtyoui.data import province
if __name__ == '__main__':
        print(province.GuiZhou) #获取贵州省下面的市名字
        print(province.Province) # 获取全国省名字

```

### 获取常见的值

1.  [常见的照片格式](https://github.com/jtyoui/Jtyoui/blob/master/jtyoui/data/constant.py)
2.  [常见的文字编码格式](https://github.com/jtyoui/Jtyoui/blob/master/jtyoui/data/constant.py)
3.  [数学符号](https://github.com/jtyoui/Jtyoui/blob/master/jtyoui/data/constant.py)
4.  [将英文的星期转为中文](https://github.com/jtyoui/Jtyoui/blob/master/jtyoui/data/constant.py)
5.  [将中文的星期转为英文](https://github.com/jtyoui/Jtyoui/blob/master/jtyoui/data/constant.py)
6.  [将英文的月份转为中文](https://github.com/jtyoui/Jtyoui/blob/master/jtyoui/data/constant.py)
7.  [将中文的月份转为英文](https://github.com/jtyoui/Jtyoui/blob/master/jtyoui/data/constant.py)
8.  [翻译http转态码的含义](https://github.com/jtyoui/Jtyoui/blob/master/jtyoui/data/constant.py)


### 获得火车站信息
```python
import jtyoui
if __name__ == '__main__':
    print(jtyoui.Train_Station['安顺'])  # 查看安顺火车站是哪个省
    desc = jtyoui.find_train_desc('安顺火车站')  # 查看安顺火车站的摘要
    print(desc)
    info = jtyoui.find_train_info('安顺站')  # 查询安顺火车站的基本信息
    print(info)
    di = desc_info = jtyoui.find_train_desc_info('宋')
    print(di)

```

### 获得时区
```python
if __name__ == '__main__':
    import datetime
    import pytz
    import jtyoui
    print(datetime.datetime.now(tz=pytz.timezone(jtyoui.TZ.Asia_BeiJing))) #设置北京时区
```

### 获取天气预报
```python
if __name__ == '__main__':
    import pprint
    import jtyoui
    w = jtyoui.WeatherForecast()
    w.set_city('九龙')
    pprint.pprint(w.get_today_weather())  # 获得当天 天气预报
    pprint.pprint(w.get_7day_weather())  # 获得7天天气预报
    pprint.pprint(w.get_15day_weather())  # 获得15天天气预报

```

### 获得地址信息
```python
import jtyoui
if __name__ == '__main__':
    import pprint

    pprint.pprint(jtyoui.find_address('晋安'))#获得一般地址
    print(jtyoui.find_identity_card_address('贵州省贵阳市南明区花果园延安南路28号'))#获取身份证地址
    
# ['山西省 太原市 杏花岭区 敦化坊街道办事处 晋安西街社区居委会',
#  '福建省 福州市 晋安区',
#  '江西省 南昌市 南昌县 冈上镇 晋安村委会',
#  '河南省 开封市 金明区 城西街道 晋安社区']
# ('贵州省', '贵阳市', '南明区', None, '花果园延安南路28号')

```

### 判断一个字符是否是中文
```python
from jtyoui.data import is_chinese

if __name__ == '__main__':
    print(is_chinese('张'), is_chinese('a'))
```

### 匹配所有号码（手机卡 + 数据卡 + 上网卡）

<!--
请注意：
由于 GitHub Markdown 要求在表格中插入的 '|' 符号需要转义，所以：

- 所有 GNU ERE 正则中的 '|' 前面的 '\' 都是为了转义 '|'。
- 所有 GNU BRE 正则中的 '|' 前面的 '\\' 都是为了转义 '\|'。

这些转义字符并不是正则表达式所需要的。在您修改正则表达式的时候请多加小心。
为了防止渲染出现错误，所有的正则表达式都需要在注释中写清转义之前的语句。
参见 https://help.github.com/articles/organizing-information-with-tables/#formatting-content-within-your-table
-->

<!--
| GNU ERE | `^(+?86)?1(3[0-9]{3}|5[012356789][0-9]{2}|8[0-9]{3}|7([01356789][0-9]{2}|4(0[0-9]|1[0-2]|9[0-9]))|9[189][0-9]{2}|6[567][0-9]{2}|4([14]0[0-9]{3}|[68][0-9]{4}|[579][0-9]{2}))[0-9]{6}$` |
| GNU BRE | `^\(+\?86\)\?1\(3[0-9]\{3\}\|5[012356789][0-9]\{2\}\|8[0-9]\{3\}\|7\([01356789][0-9]\{2\}\|4\(0[0-9]\|1[0-2]\|9[0-9]\)\)\|9[189][0-9]\{2\}\|6[567][0-9]\{2\}\|4\([14]0[0-9]\{3\}\|[68][0-9]\{4\}\|[579][0-9]\{2\}\)\)[0-9]\{6\}$` |
-->

| 命令 | 正则表达式 |
| --- | --- |
| GNU ERE | `^(+?86)?1(3[0-9]{3}\|5[012356789][0-9]{2}\|8[0-9]{3}\|7([01356789][0-9]{2}\|4(0[0-9]\|1[0-2]\|9[0-9]))\|9[189][0-9]{2}\|6[567][0-9]{2}\|4([14]0[0-9]{3}\|[68][0-9]{4}\|[579][0-9]{2}))[0-9]{6}$` |
| GNU BRE | `^\(+\?86\)\?1\(3[0-9]\{3\}\\|5[012356789][0-9]\{2\}\\|8[0-9]\{3\}\\|7\([01356789][0-9]\{2\}\\|4\(0[0-9]\\|1[0-2]\\|9[0-9]\)\)\\|9[189][0-9]\{2\}\\|6[567][0-9]\{2\}\\|4\([14]0[0-9]\{3\}\\|[68][0-9]\{4\}\\|[579][0-9]\{2\}\)\)[0-9]\{6\}$` |

### 匹配所有支持短信功能的号码（手机卡 + 上网卡）

<!-- 
| GNU ERE | `^(+?86)?1(3[0-9]{3}|5[012356789][0-9]{2}|8[0-9]{3}|7([01356789][0-9]{2}|4(0[0-9]|1[0-2]|9[0-9]))|9[189][0-9]{2}|6[567][0-9]{2}|4[579][0-9]{2})[0-9]{6}$` |
| GNU BRE | `^\(+\?86\)\?1\(3[0-9]\{3\}\|5[012356789][0-9]\{2\}\|8[0-9]\{3\}\|7\([01356789][0-9]\{2\}\|4\(0[0-9]\|1[0-2]\|9[0-9]\)\)\|9[189][0-9]\{2\}\|6[567][0-9]\{2\}\|4[579][0-9]\{2\}\)[0-9]\{6\}$` |
 -->
 
| 命令 | 正则表达式 |
| --- | --- |
| GNU ERE | `^(+?86)?1(3[0-9]{3}\|5[012356789][0-9]{2}\|8[0-9]{3}\|7([01356789][0-9]{2}\|4(0[0-9]\|1[0-2]\|9[0-9]))\|9[189][0-9]{2}\|6[567][0-9]{2}\|4[579][0-9]{2})[0-9]{6}$` |
| GNU BRE | `^\(+\?86\)\?1\(3[0-9]\{3\}\\|5[012356789][0-9]\{2\}\\|8[0-9]\{3\}\\|7\([01356789][0-9]\{2\}\\|4\(0[0-9]\\|1[0-2]\\|9[0-9]\)\)\\|9[189][0-9]\{2\}\\|6[567][0-9]\{2\}\\|4[579][0-9]\{2\}\)[0-9]\{6\}$` |

### 手机卡

#### 匹配所有

<!-- 
| GNU ERE | `^(+?86)?1(3[0-9]{3}|5[012356789][0-9]{2}|8[0-9]{3}|7([35678][0-9]{2}|4(0[0-9]|1[0-2]|9[0-9]))|9[189][0-9]{2}|66[0-9]{2})[0-9]{6}$` |
| GNU BRE | `^\(+\?86\)\?1\(3[0-9]\{3\}\|5[012356789][0-9]\{2\}\|8[0-9]\{3\}\|7\([35678][0-9]\{2\}\|4\(0[0-9]\|1[0-2]\|9[0-9]\)\)\|9[189][0-9]\{2\}\|66[0-9]\{2\}\)[0-9]\{6\}$` |
 -->
 
| 命令 | 正则表达式 |
| --- | --- |
| GNU ERE | `^(+?86)?1(3[0-9]{3}\|5[012356789][0-9]{2}\|8[0-9]{3}\|7([35678][0-9]{2}\|4(0[0-9]\|1[0-2]\|9[0-9]))\|9[189][0-9]{2}\|66[0-9]{2})[0-9]{6}$` |
| GNU BRE | `^\(+\?86\)\?1\(3[0-9]\{3\}\\|5[012356789][0-9]\{2\}\\|8[0-9]\{3\}\\|7\([35678][0-9]\{2\}\\|4\(0[0-9]\\|1[0-2]\\|9[0-9]\)\)\\|9[189][0-9]\{2\}\\|66[0-9]\{2\}\)[0-9]\{6\}$` |

#### 匹配中国移动

<!-- 
| GNU ERE | `^(+?86)?1(3(4[0-8]|[5-9][0-9])|5[012789][0-9]|8[23478][0-9]|(78|98)[0-9])[0-9]{7}$` |
| GNU BRE | `^\(+\?86\)\?1\(3\(4[0-8]\|[5-9][0-9]\)\|5[012789][0-9]\|8[23478][0-9]\|\(78\|98\)[0-9]\)[0-9]\{7\}$` |
 -->

| 命令 | 正则表达式 |
| --- | --- |
| GNU ERE | `^(+?86)?1(3(4[0-8]\|[5-9][0-9])\|5[012789][0-9]\|8[23478][0-9]\|(78\|98)[0-9])[0-9]{7}$` |
| GNU BRE | `^\(+\?86\)\?1\(3\(4[0-8]\\|[5-9][0-9]\)\\|5[012789][0-9]\\|8[23478][0-9]\\|\(78\\|98\)[0-9]\)[0-9]\{7\}$` |

#### 匹配中国联通

<!-- 
| GNU ERE | `^(+?86)?1(3[0-2]|[578][56]|66)[0-9]{8}$` |
| GNU BRE | `^\(+\?86\)\?1\(3[0-2]\|[578][56]\|66\)[0-9]\{8\}$` |
 -->

| 命令 | 正则表达式 |
| --- | --- |
| GNU ERE | `^(+?86)?1(3[0-2]\|[578][56]\|66)[0-9]{8}$` |
| GNU BRE | `^\(+\?86\)\?1\(3[0-2]\\|[578][56]\\|66\)[0-9]\{8\}$` |

#### 匹配中国电信

<!-- 
| GNU ERE | `^(+?86)?1(3(3[0-9]|49)[0-9]|53[0-9]{2}|8[019][0-9]{2}|7([37][0-9]{2}|40[0-5])|9[19][0-9]{2})[0-9]{6}$` |
| GNU BRE | `^\(+\?86\)\?1\(3\(3[0-9]\|49\)[0-9]\|53[0-9]\{2\}\|8[019][0-9]\{2\}\|7\([37][0-9]\{2\}\|40[0-5]\)\|9[19][0-9]\{2\}\)[0-9]\{6\}$` |
 -->
 
| 命令 | 正则表达式 |
| --- | --- |
| GNU ERE | `^(+?86)?1(3(3[0-9]\|49)[0-9]\|53[0-9]{2}\|8[019][0-9]{2}\|7([37][0-9]{2}\|40[0-5])\|9[19][0-9]{2})[0-9]{6}$` |
| GNU BRE | `^\(+\?86\)\?1\(3\(3[0-9]\\|49\)[0-9]\\|53[0-9]\{2\}\\|8[019][0-9]\{2\}\\|7\([37][0-9]\{2\}\\|40[0-5]\)\\|9[19][0-9]\{2\}\)[0-9]\{6\}$` |

#### 匹配北京船舶通信导航有限公司（海事卫星通信）

<!-- 
| GNU ERE | `^(+?86)?1749[0-9]{7}$` |
| GNU BRE | `^\(+\?86\)\?1749[0-9]\{7\}$` |
 -->

| 命令 | 正则表达式 |
| --- | --- |
| GNU ERE | `^(+?86)?1749[0-9]{7}$` |
| GNU BRE | `^\(+\?86\)\?1749[0-9]\{7\}$` |

#### 工业和信息化部应急通信保障中心（应急通信）

<!-- 
| GNU ERE | `^(+?86)?174(0[6-9]|1[0-2])[0-9]{6}$` |
| GNU BRE | `^\(+\?86\)\?174\(0[6-9]\|1[0-2]\)[0-9]\{6\}$` |
 -->

| 命令 | 正则表达式 |
| --- | --- |
| GNU ERE | `^(+?86)?174(0[6-9]\|1[0-2])[0-9]{6}$` |
| GNU BRE | `^\(+\?86\)\?174\(0[6-9]\\|1[0-2]\)[0-9]\{6\}$` |

### 虚拟运营商

#### 匹配所有

<!-- 
| GNU ERE | `^(+?86)?1(7[01]|6[57])[0-9]{8}$` |
| GNU BRE | `^\(+\?86\)\?1\(7[01]\|6[57]\)[0-9]\{8\}$` |
 -->

| 命令 | 正则表达式 |
| --- | --- |
| GNU ERE | `^(+?86)?1(7[01]\|6[57])[0-9]{8}$` |
| GNU BRE | `^\(+\?86\)\?1\(7[01]\\|6[57]\)[0-9]\{8\}$` |

#### 匹配中国移动

<!-- 
| GNU ERE | `^(+?86)?1(65[0-9]|70[356])[0-9]{7}$` |
| GNU BRE | `^\(+\?86\)\?1\(65[0-9]\|70[356]\)[0-9]\{7\}$` |
 -->

| 命令 | 正则表达式 |
| --- | --- |
| GNU ERE | `^(+?86)?1(65[0-9]\|70[356])[0-9]{7}$` |
| GNU BRE | `^\(+\?86\)\?1\(65[0-9]\\|70[356]\)[0-9]\{7\}$` |

#### 匹配中国联通

<!-- 
| GNU ERE | `^(+?86)?1(70[4789]|71[0-9]|67[0-9])[0-9]{7}$` |
| GNU BRE | `^\(+\?86\)\?1\(70[4789]\|71[0-9]\|67[0-9]\)[0-9]\{7\}$` |
 -->

| 命令 | 正则表达式 |
| --- | --- |
| GNU ERE | `^(+?86)?1(70[4789]\|71[0-9]\|67[0-9])[0-9]{7}$` |
| GNU BRE | `^\(+\?86\)\?1\(70[4789]\\|71[0-9]\\|67[0-9]\)[0-9]\{7\}$` |

#### 匹配中国电信

<!-- 
| GNU ERE | `^(+?86)?170[0-2][0-9]{7}$` |
| GNU BRE | `^\(+\?86\)\?170[0-2][0-9]\{7\}$` |
 -->

| 命令 | 正则表达式 |
| --- | --- |
| GNU ERE | `^(+?86)?170[0-2][0-9]{7}$` |
| GNU BRE | `^\(+\?86\)\?170[0-2][0-9]\{7\}$` |

### 物联网数据卡

#### 匹配所有

<!-- 
| GNU ERE | `^(+?86)?14([14]0|[68][0-9])[0-9]{9}$` |
| GNU BRE | `^\(+\?86\)\?14\([14]0\|[68][0-9]\)[0-9]\{9\}$` |
 -->

| 命令 | 正则表达式 |
| --- | --- |
| GNU ERE | `^(+?86)?14([14]0\|[68][0-9])[0-9]{9}$` |
| GNU BRE | `^\(+\?86\)\?14\([14]0\\|[68][0-9]\)[0-9]\{9\}$` |

#### 匹配中国移动

<!-- 
| GNU ERE | `^(+?86)?14(40|8[0-9])[0-9]{9}$` |
| GNU BRE | `^\(+\?86\)\?14\(40\|8[0-9]\)[0-9]\{9\}$` |
 -->

| 命令 | 正则表达式 |
| --- | --- |
| GNU ERE | `^(+?86)?14(40\|8[0-9])[0-9]{9}$` |
| GNU BRE | `^\(+\?86\)\?14\(40\\|8[0-9]\)[0-9]\{9\}$` |

#### 匹配中国联通

| 命令 | 正则表达式 |
| --- | --- |
| GNU ERE | `^(+?86)?146[0-9]{10}$` |
| GNU BRE | `^\(+\?86\)\?146[0-9]\{10\}$` |

#### 匹配中国电信

| 命令 | 正则表达式 |
| --- | --- |
| GNU ERE | `^(+?86)?1410[0-9]{9}$` |
| GNU BRE | `^\(+\?86\)\?1410[0-9]\{9\}$` |

### 上网卡

#### 匹配所有

| 命令 | 正则表达式 |
| --- | --- |
| GNU ERE | `^(+?86)?14[579][0-9]{8}$` |
| GNU BRE | `^\(+\?86\)\?14[579][0-9]\{8\}$` |

#### 匹配中国移动

| 命令 | 正则表达式 |
| --- | --- |
| GNU ERE | `^(+?86)?147[0-9]{8}$` |
| GNU BRE | `^\(+\?86\)\?147[0-9]\{8\}$` |

#### 匹配中国联通

| 命令 | 正则表达式 |
| --- | --- |
| GNU ERE | `^(+?86)?145[0-9]{8}$` |
| GNU BRE | `^\(+\?86\)\?145[0-9]\{8\}$` |

#### 匹配中国电信

| 命令 | 正则表达式 |
| --- | --- |
| GNU ERE | `^(+?86)?149[0-9]{8}$` |
| GNU BRE | `^\(+\?86\)\?149[0-9]\{8\}$` |


***
[1]: https://blog.jtyoui.com